%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Mind game - build molecules out of single atoms
Name:		atomix
Version:	3.16.0
Release:	1
License:	GPLv2+
Group:		Games/Puzzles
URL:		http://triq.net/~jens/atomix.php
Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)


%description
Atomix is a little mind game where you have to build molecules out of
single atoms. These are laying around between the walls and obstacles
on the playfield. Once you have pushed an atom in one direction it
moves until it hits an obstacle or another atom. It needs some thinking
how to construct complex molecules with this atom behaviour. The game
is inspired by the original Amiga version.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PuzzleGame" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Puzzles" \
  --add-category="Game" \
  --add-category="LogicGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(2755,games,games) %{_bindir}/atomix
%{_datadir}/atomix
%{_datadir}/pixmaps/atomix-icon.png
%{_datadir}/applications/atomix.desktop
%{_datadir}/appdata/atomix.appdata.xml

%changelog
* Tue Mar 24 2015 Tigro <ashejn@gmail.com> 3.16.0-1
+ Revision: 7980764
- update to 3.16.0


